[arch-commits] Commit in python-lxml/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Mar 1 00:20:56 UTC 2019


    Date: Friday, March 1, 2019 @ 00:20:55
  Author: felixonmars
Revision: 346961

archrelease: copy trunk to extra-x86_64

Added:
  python-lxml/repos/extra-x86_64/PKGBUILD
    (from rev 346960, python-lxml/trunk/PKGBUILD)
Deleted:
  python-lxml/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  194 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 97 insertions(+), 97 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-01 00:20:22 UTC (rev 346960)
+++ PKGBUILD	2019-03-01 00:20:55 UTC (rev 346961)
@@ -1,97 +0,0 @@
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-lxml
-pkgname=('python-lxml' 'python2-lxml' 'python-lxml-docs')
-pkgver=4.3.1
-pkgrel=1
-arch=('x86_64')
-license=('BSD' 'custom')
-url="http://lxml.de/"
-makedepends=('libxslt' 'python-setuptools' 'python2-setuptools' 'epydoc' 'python2-pygments'
-             'python2-docutils' 'cython' 'cython2')
-checkdepends=('python-cssselect' 'python2-cssselect' 'python-html5lib' 'python2-html5lib'
-              'python-beautifulsoup4' 'python2-beautifulsoup4')
-source=("https://github.com/lxml/lxml/archive/lxml-$pkgver.tar.gz")
-sha512sums=('da98fd55d7f295bdfaf9e63b9c24078ed0efecae47d4968187ec8ebabfde554ec124a47d9aaa49cd60d188304769265cea3bf86e0a6156e4b4f25f9f7dcb2079')
-
-prepare() {
-  mv lxml-lxml-$pkgver lxml-$pkgver
-  cp -a lxml-$pkgver{,-py2}
-
-  # Setting LC_CTYPE to workaround encoding issue
-  export LC_CTYPE=en_US.UTF-8
-}
-
-build() {
-  cd "$srcdir"/lxml-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/lxml-$pkgver-py2
-  python2 setup.py build
-  make PYTHON=python2 html
-}
-
-check() {
-  # TODO: Find a sane way to skip inplace build
-
-  cd "$srcdir"/lxml-$pkgver
-  make PYTHON=python test || warning "Tests failed"
-
-  cd "$srcdir"/lxml-$pkgver-py2
-  make PYTHON=python2 test || warning "Tests failed"
-}
-
-package_python-lxml() {
-  pkgdesc="Python3 binding for the libxml2 and libxslt libraries"
-  depends=('python' 'libxslt')
-  optdepends=('python-beautifulsoup4: support for beautifulsoup parser to parse not well formed HTML'
-              'python-cssselect: support for cssselect'
-              'python-html5lib: support for html5lib parser'
-              'python-lxml-docs: offline docs')
-
-  cd lxml-$pkgver
-  python setup.py install --root="$pkgdir" --skip-build --optimize=1
-
-  install -Dm644 LICENSES.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-  install -Dm644 doc/licenses/BSD.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
-  install -Dm644 doc/licenses/elementtree.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
-}
-
-package_python2-lxml() {
-  pkgdesc="Python2 binding for the libxml2 and libxslt libraries"
-  depends=('python2' 'libxslt')
-  optdepends=('python2-beautifulsoup4: support for beautifulsoup parser to parse not well formed HTML'
-              'python2-cssselect: support for cssselect'
-              'python2-html5lib: support for html5lib parser'
-              'python-lxml-docs: offline docs')
-
-  cd lxml-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --skip-build --optimize=1
-
-  install -Dm644 LICENSES.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-  install -Dm644 doc/licenses/BSD.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
-  install -Dm644 doc/licenses/elementtree.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
-}
-
-package_python-lxml-docs() {
-  pkgdesc="Python binding for the libxml2 and libxslt libraries (docs)"
-  options=('docs')
-
-  cd lxml-$pkgver-py2
-  install -d "$pkgdir"/usr/share/doc/$pkgbase
-  cp -r doc/html "$pkgdir"/usr/share/doc/$pkgbase
-
-  install -Dm644 LICENSES.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-  install -Dm644 doc/licenses/BSD.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
-  install -Dm644 doc/licenses/elementtree.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
-}

Copied: python-lxml/repos/extra-x86_64/PKGBUILD (from rev 346960, python-lxml/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-01 00:20:55 UTC (rev 346961)
@@ -0,0 +1,97 @@
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-lxml
+pkgname=('python-lxml' 'python2-lxml' 'python-lxml-docs')
+pkgver=4.3.2
+pkgrel=1
+arch=('x86_64')
+license=('BSD' 'custom')
+url="http://lxml.de/"
+makedepends=('libxslt' 'python-setuptools' 'python2-setuptools' 'epydoc' 'python2-pygments'
+             'python2-docutils' 'cython' 'cython2')
+checkdepends=('python-cssselect' 'python2-cssselect' 'python-html5lib' 'python2-html5lib'
+              'python-beautifulsoup4' 'python2-beautifulsoup4')
+source=("https://github.com/lxml/lxml/archive/lxml-$pkgver.tar.gz")
+sha512sums=('37383cc6d871e9a040150552e0c8197d5957786d771179e13055bd325e05dc1dc36d77f4d5d791859bab2a79eb18ac727d9bda8a567bc0bed531361a30934ef0')
+
+prepare() {
+  mv lxml-lxml-$pkgver lxml-$pkgver
+  cp -a lxml-$pkgver{,-py2}
+
+  # Setting LC_CTYPE to workaround encoding issue
+  export LC_CTYPE=en_US.UTF-8
+}
+
+build() {
+  cd "$srcdir"/lxml-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/lxml-$pkgver-py2
+  python2 setup.py build
+  make PYTHON=python2 html
+}
+
+check() {
+  # TODO: Find a sane way to skip inplace build
+
+  cd "$srcdir"/lxml-$pkgver
+  make PYTHON=python test || warning "Tests failed"
+
+  cd "$srcdir"/lxml-$pkgver-py2
+  make PYTHON=python2 test || warning "Tests failed"
+}
+
+package_python-lxml() {
+  pkgdesc="Python3 binding for the libxml2 and libxslt libraries"
+  depends=('python' 'libxslt')
+  optdepends=('python-beautifulsoup4: support for beautifulsoup parser to parse not well formed HTML'
+              'python-cssselect: support for cssselect'
+              'python-html5lib: support for html5lib parser'
+              'python-lxml-docs: offline docs')
+
+  cd lxml-$pkgver
+  python setup.py install --root="$pkgdir" --skip-build --optimize=1
+
+  install -Dm644 LICENSES.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+  install -Dm644 doc/licenses/BSD.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
+  install -Dm644 doc/licenses/elementtree.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
+}
+
+package_python2-lxml() {
+  pkgdesc="Python2 binding for the libxml2 and libxslt libraries"
+  depends=('python2' 'libxslt')
+  optdepends=('python2-beautifulsoup4: support for beautifulsoup parser to parse not well formed HTML'
+              'python2-cssselect: support for cssselect'
+              'python2-html5lib: support for html5lib parser'
+              'python-lxml-docs: offline docs')
+
+  cd lxml-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --skip-build --optimize=1
+
+  install -Dm644 LICENSES.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+  install -Dm644 doc/licenses/BSD.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
+  install -Dm644 doc/licenses/elementtree.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
+}
+
+package_python-lxml-docs() {
+  pkgdesc="Python binding for the libxml2 and libxslt libraries (docs)"
+  options=('docs')
+
+  cd lxml-$pkgver-py2
+  install -d "$pkgdir"/usr/share/doc/$pkgbase
+  cp -r doc/html "$pkgdir"/usr/share/doc/$pkgbase
+
+  install -Dm644 LICENSES.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+  install -Dm644 doc/licenses/BSD.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/BSD.txt
+  install -Dm644 doc/licenses/elementtree.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/elementtree.txt
+}


More information about the arch-commits mailing list